import { CommandBase } from './CommandBase';
/**
 * Represents a command to get a PDF from Metabox.
 * @remarks
 * This class sends a message to the MetaBox API to generate a PDF based on the current configuration.
 * This action does not require any parameters.
 *
 * **Important**: Invoking this command will buffer it until the viewport is ready. Only then will the request be processed.
 *
 * @example
 * import { GetPdf,Communicator } from '@3dsource/metabox-front-api';
 * window.env3DSource.apiReady = (api:Communicator) => {
 *     api.sendCommandToMetaBox(new GetPdf());
 * };
 */
export declare class GetPdf extends CommandBase {
    /**
     * Creates an instance of GetPdf.
     *
     * @remarks
     * This constructor does not require any parameters.
     */
    constructor();
}
