import { CommandBase } from './CommandBase';
/**
 * Represents a command to set the environment by its ID.
 *
 * @example
 * import { SetEnvironment,Communicator } from '@3dsource/metabox-front-api';
 *
 * //...Assume that the integration is already implemented
 * window.env3DSource.apiReady = (api:Communicator) => {
 *   // Change the environment to '55555555-1234-1234-1234-01234567890'
 *   api.sendCommandToMetaBox(new SetEnvironment('55555555-1234-1234-1234-01234567890'));
 * };
 */
export declare class SetEnvironment extends CommandBase {
    /**
     * Creates an instance of SetEnvironment.
     *
     * @param environmentId - The environment ID.
     */
    constructor(environmentId: string);
}
