import { CommandBase } from './CommandBase';
/**
 * Represents a command to set an environment material by its ID.
 *
 * @example
 * import { SetEnvironmentMaterial,Communicator } from '@3dsource/metabox-front-api';
 *
 * //...Assume that the integration is already implemented
 * window.env3DSource.apiReady = (api:Communicator) => {
 *    api.sendCommandToMetaBox(new SetEnvironmentMaterial(
 *     'carpaint',
 *     'dd829d6e-9200-47a7-8d5b-af5df89b7e91',
 *    ));
 * };
 */
export declare class SetEnvironmentMaterial extends CommandBase {
    /**
     * Creates an instance of SetEnvironmentMaterial.
     *
     * @param slotId - The slot ID.
     * @param materialId - The material ID.
     */
    constructor(slotId: string, materialId: string);
}
