import { CommandBase } from './CommandBase';
/**
 * Represents a command to toggle the Embedded MetaBox Menu.
 *
 * @example
 * import { ShowEmbeddedMenu,Communicator } from '@3dsource/metabox-front-api';
 *
 * //...Assume that the integration is already implemented
 * window.env3DSource.apiReady = (api:Communicator) => {
 *   api.setCommandToMetaBox(new ShowEmbeddedMenu(true));
 * };
 */
export declare class ShowEmbeddedMenu extends CommandBase {
    /**
     * Creates an instance of ShowEmbeddedMenu.
     *
     * @param visible - A flag indicating whether the embedded menu should be visible.
     */
    constructor(visible: boolean);
}
