/**
 * Sets the URL parameters based on the provided state.
 *
 * @remarks
 * This function updates the current URL by replacing its search parameters with the key-value pairs from the provided state object.
 *
 * @param state - An object containing key-value pairs to set as URL parameters.
 */
export declare function setUrlParams(state: Record<string, string>): void;
/**
 * Retrieves the URL parameters as an object.
 *
 * @remarks
 * This function parses the current URL's search parameters and returns them as a key-value object.
 *
 * @returns An object containing the URL parameters.
 */
export declare function getUrlParams(): Record<string, string>;
